GCLOUD_COMPUTE_INSTANCES_SET-MACHINE-TYPE(1)

NAME

gcloud compute instances set-machine-type - set machine type for Google Compute Engine virtual machines

SYNOPSIS

gcloud compute instances set-machine-type NAME [--custom-cpu=CUSTOM_CPU] [--custom-memory=CUSTOM_MEMORY] [--machine-type=MACHINE_TYPE] [--zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances set-machine-type allows you to change the machine type of a virtual machine in the TERMINATED state (that is, a virtual machine instance that has been stopped). For example, if example-instance is a g1-small virtual machine currently in the TERMINATED state, running:
    $ gcloud compute instances set-machine-type example-instance \
        --zone us-central1-b --machine-type n1-standard-4
will change the machine type to n1-standard-4, so that when you next start example-instance, it will be provisioned as an n1-standard-4 instead of a g1-small. See https://cloud.google.com/compute/docs/machine-types for more information on machine types.

POSITIONAL ARGUMENTS

    NAME
        The name of the instance.

FLAGS

    --custom-cpu=CUSTOM_CPU
        A whole number value indicating how many cores are desired in the custom machine type. Both --custom-cpu and --custom-memory must be specified if a custom machine type is desired, and the --machine-type flag must be omitted.

    --custom-memory=CUSTOM_MEMORY
        A whole number value indicating how much memory is desired in the custom machine type. A size unit should be provided (eg. 3072MiB or 9GiB) - if no units are specified, GiB is assumed. Both --custom-cpu and --custom-memory must be specified if a custom machine type is desired, and the --machine-type flag must be omitted.

    --machine-type=MACHINE_TYPE
        Specifies the machine type used for the instances. To get a list of available machine types, run 'gcloud compute machine-types list'. If unspecified, the default type is n1-standard-1.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.